<?php

namespace Src\Modules\Auth\Interfaces\Laravel;

use Src\Modules\Auth\Interfaces\IFactory as IModuleFactory;
use Src\Modules\Auth\Interfaces\Laravel\IUserProvider;

interface IFactory {
    public function setModuleFactory(IModuleFactory $factory):void;
    public function createUser():IUser;
    public function getUserProvider():IUserProvider;
}